#pragma once

#include "GuiWidget.h"
#include "client/Client.h"

namespace blitz {

class Client;

namespace game {
class Player;
}  // namespace game

namespace gui {
class Hud : public GuiWidget {
  private:
	std::uint64_t m_GunTexture;
	std::uint64_t m_JPTexture;
	utils::DelayTimer<float> m_Timer{5.0f};

  public:
	Hud(GuiWidget* parent, Client* client);
	virtual void Render() override;

  private:
	std::string FormatString();
	void Draw(const char* title, bool* p_open);
	void DrawFinishScreen(bool win);
	void RenderTime(float, float);
};

}  // namespace gui
}  // namespace blitz